# Generated by Django 4.2.11 on 2024-04-21 15:50

from django.db import migrations


def update_changed_object_type(apps, schema_editor):
    """
    Update the Change Log related object type to match
    renamed contract_assignment type
    """
    ObjectChange = apps.get_model('core', 'ObjectChange')
    ContentType = apps.get_model('contenttypes', 'ContentType')
    ct = ContentType.objects.get(
        app_label='netbox_contract', model='contractassignment'
    )

    for change in ObjectChange.objects.filter(
        changed_object_type__model='contractassignement'
    ):
        change.changed_object_type = ct
        change.save()


class Migration(migrations.Migration):
    dependencies = [
        ('netbox_contract', '0025_remove_contract_circuit_and_more'),
    ]

    operations = [
        migrations.RunPython(update_changed_object_type),
    ]
