# Generated by Django 5.0.6 on 2024-06-23 13:12

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('extras', '0115_convert_dashboard_widgets'),
        ('netbox_contract', '0026_auto_20240421_1550'),
    ]

    operations = [
        migrations.CreateModel(
            name='InvoiceLine',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                (
                    'custom_field_data',
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ('currency', models.CharField(default='usd', max_length=3)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('comments', models.TextField(blank=True)),
                (
                    'invoice',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='invoicelines',
                        to='netbox_contract.invoice',
                    ),
                ),
                (
                    'tags',
                    taggit.managers.TaggableManager(
                        through='extras.TaggedItem', to='extras.Tag'
                    ),
                ),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
